﻿using System.Drawing;

namespace GameOfLife
{
    interface IBoard
    {
        /// <summary>
        /// Renders this board as an image. The image returned may be reused for
        /// future generations.
        /// </summary>        
        Image Render();
        /// <summary>
        /// Updates this board to be the next generation, using the
        /// Data from the parent generation.
        /// </summary>
        void CreateNextGeneration(IBoard parent);

        /// <summary>
        /// Indexer used to set initial board
        /// </summary>
        bool this[int x, int y] { get; set; }
    }
}
